import {CommonModule} from "@angular/common";
import {NgModule} from "@angular/core";
import {FormsModule} from "@angular/forms";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {BreadcrumbsModule} from "../openaireLibrary/utils/breadcrumbs/breadcrumbs.module";

import {FosRoutingModule} from './fos-routing.module';
import {FosComponent} from './fos.component';
import {IconsModule} from "../openaireLibrary/utils/icons/icons.module";
import {SearchInputModule} from "../openaireLibrary/sharedComponents/search-input/search-input.module";

@NgModule({
	imports: [
		CommonModule, FormsModule, RouterModule,
		FosRoutingModule, BreadcrumbsModule, IconsModule,
		SearchInputModule
	],
	declarations: [
		FosComponent
	],
	providers: [
		PreviousRouteRecorder
	],
	exports: [
		FosComponent
	]
})
export class FosModule {

}